std::valarray::max(3)

NAME
std::valarray::max - std::valarray::max

Synopsis
   T max() const;
   Computes the maximum value of the elements.
   If there are no elements, the behavior is undefined.
   The function can be used only if operator< is defined for type T.

Parameters
   (none)

Return value
   The maximum of the elements.

Example
// Run this code
 #include <valarray>
 #include <iostream>
 int main()
 {
     std::valarray<double> a{1, 2, 3, 4, 5, 6, 7, 8};
     std::cout << "Maximum value : " << a.max() << "\n";
 }

Output:
 Maximum value : 8

See also
   min returns the smallest element
       (public member function)